Subject: bug#7925: 23.2.91; report-emacs-bug doesn't like curly quotes

From: Chong Yidong <[email-masked]>
Date: Sat, 29 Jan 2011 18:34:19 -0500

Reuben Thomas <[email-masked]> writes:

> Pretty much every time I use report-emacs-bug, I get the message
> “Convert non-ASCII letters to hexadecimal?” There are two problems here:
>
> 1. From looking at the code in report-emacs-bug-hook, it really means
> “non-ASCII characters”, as it looks for any non-7-bit character, not
> just non-7-bit letters.
>
> 2. In this age of UTF-8, and, for example, my use of smart-quotes-mode,
> what do you have against non-ASCII characters? Perhaps you’d like to try
> to make sure that mail to report-emacs-bug is in English, but for that
> you should be using some form of linguistic analysis.

Maybe this question dates from the days when email was ASCII only.  At
the least, this check ought to only be applied to the mail headers (MIME
is needed for non-ASCII in headers).